#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
        long long n,k,br=1,p,q=0;
    cin>>n>>k;
    long long a[n],b[n];
    for(long long i=0;i<n;i++)
        cin>>a[i];
    sort(a,a+n);
    p=a[0];
    for(long long i=1;i<=n;i++)
    {
        if(a[i]==p)
        {
            br++;
            p=a[i];
        }
        else
        {
            if(br>=k)
                {
                    b[q]=p;
                    q++;
                    br=1;
                }
            p=a[i];
        }
    }
    cout<<q<<endl;
    for(int i=0;i<q;i++)
        cout<<b[i]<<" ";
    return 0;
}